Saturn Assembler                                       Wed Jun 03 18:56:36 1998
Ver. 1.56, 12/20/89                                    FLAGVI~1.a     Page    1

   1             * FlagViewer Source
   2             * (c) 1997, 98 by Matthew Mastracci
   3
   4             *|| Reading from KEYDEFS.H
   5             * ASSEMBLE
   6                     CLRLIST ALL
  10             * RPL
  11             * RPL
  12             * insure RPL-mode exit
  13             *|| Resuming file D:\MSDEV\PROJECTS\MATT\HPIDE\EXAMPLES\FLAGVI~2\FLAGVI~1.s at line 4
  14
  15             * ASSEMBLE
  16 00000 84058         NIBASC /HPHP48-R/
           40543
           83D225
  17             * RPL
  18 00010 00000         CON(5)  =DOCOL
  19             * This is an internal program, so we don't need to check for specific
  20             * parameter types
  21 00015 00000         CON(5)  =CK5
  22
  23             * Do the UFL check
  24 0001A 00000         CON(5)  =DOIDNT
  25 0001F 90            CON(2)  9
  26 00021 5564C         NIBASC  \UFL?DoErr\
           4F344
           F6542727

  27
  28 00033 00000         CON(5)  =ONEONE
  29 00038 00000         CON(5)  =FALSE
  30 0003D 00000         CON(5)  =DOLIST
  31 00042 00000         CON(5)  =DOLAM
  32 00047 30            CON(2)  3
  33 00049 64C44         NIBASC  \FLT\
           5
  34             * Flag types- TRUE: System flags, FALSE: User flags
  35 0004F 00000         CON(5)  =DOLAM
  36 00054 30            CON(2)  3
  37 00056 64C40         NIBASC  \FL0\
           3
  38             * This is the flag set title
  39 0005C 00000         CON(5)  =DOLAM
  40 00061 30            CON(2)  3
  41 00063 64C41         NIBASC  \FL1\
           3
  42             * Flag mappings [encoded in string]
  43 00069 00000         CON(5)  =DOLAM
  44 0006E 30            CON(2)  3
  45 00070 64C42         NIBASC  \FL2\
           3
  46             * Flag clear text
  47 00076 00000         CON(5)  =DOLAM
  48 0007B 30            CON(2)  3
  49 0007D 64C43         NIBASC  \FL3\
           3
  50             * Flag set text
Saturn Assembler                                       Wed Jun 03 18:56:36 1998
Ver. 1.56, 12/20/89                                    FLAGVI~1.a     Page    2

  51 00083 00000         CON(5)  =DOLAM
  52 00088 30            CON(2)  3
  53 0008A 34552         NIBASC  \CUR\
           5
  54             * Internal: current flag position
  55 00090 00000         CON(5)  =DOLAM
  56 00095 30            CON(2)  3
  57 00097 45F40         NIBASC  \TOP\
           5
  58             * Internal: top flag [on screen] position
  59 0009D 00000         CON(5)  =DOLAM
  60 000A2 40            CON(2)  4
  61 000A4 54859         NIBASC  \EXIT\
           445
  62             * Internal: exit flag
  63 000AC 00000         CON(5)  =SEMI
  64 000B1 00000         CON(5)  =BIND
  65
  66             * Bind our redraw and exit procedures (OK and Cancel)
  67 000B6 00000         CON(5)  ='
  68 000BB 00000         CON(5)  =DOCOL
  69             * Display title for flag selector using ROMPTR
  70 000C0 00000         CON(5)  =DOCLLCD
  71 000C5 00000         CON(5)  =DOLAM
  72 000CA 30            CON(2)  3
  73 000CC 64C40         NIBASC  \FL0\
           3
  74 000D2 00000         CON(5)  =DOROMP
  75 000D7 0E0           CON(3)  #E0
  76 000DA 440           CON(3)  #44
  77 000DD 00000         CON(5)  =SEMI
  78 000E2 00000         CON(5)  ='
  79 000E7 00000         CON(5)  =DOCOL
  80 000EC 00000         CON(5)  =TRUE
  81 000F1 00000         CON(5)  ='
  82 000F6 00000         CON(5)  =DOLAM
  83 000FB 40            CON(2)  4
  84 000FD 54859         NIBASC  \EXIT\
           445
  85 00105 00000         CON(5)  =STO
  86 0010A 00000         CON(5)  =SEMI
  87 0010F 00000         CON(5)  ='
  88 00114 00000         CON(5)  =DOCOL
  89 00119 00000         CON(5)  =TRUE
  90 0011E 00000         CON(5)  ='
  91 00123 00000         CON(5)  =DOLAM
  92 00128 40            CON(2)  4
  93 0012A 54859         NIBASC  \EXIT\
           445
  94 00132 00000         CON(5)  =STO
  95 00137 00000         CON(5)  =SEMI
  96 0013C 00000         CON(5)  =DOLIST
  97 00141 00000         CON(5)  =DOLAM
  98 00146 60            CON(2)  6
  99 00148 44F64         NIBASC  \DoDraw\
           42716
           77
Saturn Assembler                                       Wed Jun 03 18:56:36 1998
Ver. 1.56, 12/20/89                                    FLAGVI~1.a     Page    3

 100 00154 00000         CON(5)  =DOLAM
 101 00159 80            CON(2)  8
 102 0015B 44F63         NIBASC  \DoCancel\
           416E6
           3656C6
 103 0016B 00000         CON(5)  =DOLAM
 104 00170 40            CON(2)  4
 105 00172 44F6F         NIBASC  \DoOK\
           4B4
 106 0017A 00000         CON(5)  =SEMI
 107 0017F 00000         CON(5)  =BIND
 108
 109 00184 00000         CON(5)  =DOLAM
 110 00189 60            CON(2)  6
 111 0018B 44F64         NIBASC  \DoDraw\
           42716
           77
 112 00197 00000         CON(5)  =EVAL
 113 0019C 00000         CON(5)  ='
 114 001A1 00000         CON(5)  =DispMenu.1
 115 001A6 00000         CON(5)  ='
 116 001AB 00000         CON(5)  =DOCOL
 117 001B0 00000         CON(5)  =ONE
 118 001B5 00000         CON(5)  =#=casedrop
 119 001BA 00000         CON(5)  =DOCOL
 120 001BF 00000         CON(5)  =DUP#<7
 121 001C4 00000         CON(5)  =casedrpfls
 122 001C9 00000         CON(5)  =ELEVEN
 123 001CE 00000         CON(5)  =?CaseKeyDef
 124 001D3 00000         CON(5)  =DOCOL
 125 001D8 00000         CON(5)  =TakeOver
 126 001DD 00000         CON(5)  =SEMI
 127 001E2 00000         CON(5)  =SEVENTEEN
 128 001E7 00000         CON(5)  =?CaseKeyDef
 129 001EC 00000         CON(5)  =DOCOL
 130 001F1 00000         CON(5)  =TakeOver
 131 001F6 00000         CON(5)  =SEMI
 132 001FB 00000         CON(5)  =FORTYFIVE
 133 00200 00000         CON(5)  =?CaseKeyDef
 134 00205 00000         CON(5)  =DOCOL
 135 0020A 00000         CON(5)  =TakeOver
 136 0020F 00000         CON(5)  =DOLAM
 137 00214 80            CON(2)  8
 138 00216 44F63         NIBASC  \DoCancel\
           416E6
           3656C6
 139 00226 00000         CON(5)  =EVAL
 140 0022B 00000         CON(5)  =SEMI
 141 00230 00000         CON(5)  =TWENTYFIVE
 142 00235 00000         CON(5)  =?CaseKeyDef
 143 0023A 00000         CON(5)  =DOCOL
 144 0023F 00000         CON(5)  =TakeOver
 145 00244 00000         CON(5)  =DOLAM
 146 00249 40            CON(2)  4
 147 0024B 44F6F         NIBASC  \DoOK\
           4B4
 148 00253 00000         CON(5)  =EVAL
Saturn Assembler                                       Wed Jun 03 18:56:36 1998
Ver. 1.56, 12/20/89                                    FLAGVI~1.a     Page    4

 149 00258 00000         CON(5)  =SEMI
 150 0025D 00000         CON(5)  =FORTY
 151 00262 00000         CON(5)  =#=casedrpfls
 152 00267 00000         CON(5)  =DROP
 153 0026C 00000         CON(5)  ='DoBadKeyT
 154 00271 00000         CON(5)  =SEMI
 155 00276 00000         CON(5)  =2DROP
 156 0027B 00000         CON(5)  ='DoBadKeyT
 157 00280 00000         CON(5)  =SEMI
 158
 159             * No standard keys
 160 00285 00000         CON(5)  =TrueTrue
 161
 162             * Our menu
 163 0028A 00000         CON(5)  =DOLIST
 164 0028F 00000         CON(5)  =DOLIST
 165 00294 00000         CON(5)  =DOCSTR
 166 00299 D0000         CON(5)  13
 167 0029E 94E46         NIBASC  \INFO\
           4F4
 168 002A6 00000         CON(5)  =DOCOL
 169 002AB 00000         CON(5)  =TakeOver
 170 002B0 00000         CON(5)  =DOIDNT
 171 002B5 40            CON(2)  4
 172 002B7 94E46         NIBASC  \INFO\
           4F4
 173 002BF 00000         CON(5)  =DOLAM
 174 002C4 60            CON(2)  6
 175 002C6 44F64         NIBASC  \DoDraw\
           42716
           77
 176 002D2 00000         CON(5)  =EVAL
 177 002D7 00000         CON(5)  =SEMI
 178 002DC 00000         CON(5)  =SEMI
 179 002E1 00000         CON(5)  =NullMenuKey
 180 002E6 00000         CON(5)  =DOLIST
 181 002EB 00000         CON(5)  =DOROMP
 182 002F0 0B0           CON(3)  #B0
 183 002F3 680           CON(3)  #86
 184 002F6 00000         CON(5)  =DOCOL
 185 002FB 00000         CON(5)  =TakeOver
 186 00300 00000         CON(5)  =SEMI
 187 00305 00000         CON(5)  =SEMI
 188 0030A 00000         CON(5)  =NullMenuKey
 189 0030F 00000         CON(5)  =DOLIST
 190 00314 00000         CON(5)  =DOCSTR
 191 00319 F0000         CON(5)  15
 192 0031E 8214E         NIBASC  \(AN(L\
           482C4
 193 00328 00000         CON(5)  =DOCOL
 194 0032D 00000         CON(5)  =TakeOver
 195 00332 00000         CON(5)  =DOLAM
 196 00337 80            CON(2)  8
 197 00339 44F63         NIBASC  \DoCancel\
           416E6
           3656C6
 198 00349 00000         CON(5)  =EVAL
Saturn Assembler                                       Wed Jun 03 18:56:36 1998
Ver. 1.56, 12/20/89                                    FLAGVI~1.a     Page    5

 199 0034E 00000         CON(5)  =SEMI
 200 00353 00000         CON(5)  =SEMI
 201 00358 00000         CON(5)  =DOLIST
 202 0035D 00000         CON(5)  =DOCSTR
 203 00362 90000         CON(5)  9
 204 00367 F4B4          NIBASC  \OK\
 205 0036B 00000         CON(5)  =DOCOL
 206 00370 00000         CON(5)  =TakeOver
 207 00375 00000         CON(5)  =DOLAM
 208 0037A 40            CON(2)  4
 209 0037C 44F6F         NIBASC  \DoOK\
           4B4
 210 00384 00000         CON(5)  =EVAL
 211 00389 00000         CON(5)  =SEMI
 212 0038E 00000         CON(5)  =SEMI
 213 00393 00000         CON(5)  =SEMI
 214
 215             * First menu "row", no suspend
 216 00398 00000         CON(5)  =ONEFALSE
 217             * Our exit condition (just a LAM)
 218 0039D 00000         CON(5)  ='
 219 003A2 00000         CON(5)  =DOLAM
 220 003A7 40            CON(2)  4
 221 003A9 54859         NIBASC  \EXIT\
           445
 222             * Error handler
 223 003B1 00000         CON(5)  ='
 224 003B6 00000         CON(5)  =ERRJMP
 225             * Run it!
 226 003BB 00000         CON(5)  =ParOuterLoop
 227
 228             * Resize, clear and redraw display
 229 003C0 00000         CON(5)  =RECLAIMDISP
 230 003C5 00000         CON(5)  =ClrDAsOK
 231
 232             * Abandon our temporary environments
 233 003CA 00000         CON(5)  =ABND
 234 003CF 00000         CON(5)  =ABND
 235 003D4 00000         CON(5)  =SEMI
Saturn Assembler                                       Wed Jun 03 18:56:36 1998
Ver. 1.56, 12/20/89 Symbol Table                       FLAGVI~1.a     Page    6

 #=casedrop    Ext                   -   118
 #=casedrpfls  Ext                   -   151
 '             Ext                   -    67    78    81    87    90   113   115
                                         218   223
 'DoBadKeyT    Ext                   -   153   156
 2DROP         Ext                   -   155
 ?CaseKeyDef   Ext                   -   123   128   133   142
 ABND          Ext                   -   233   234
 BIND          Ext                   -    64   107
 CK5           Ext                   -    21
 ClrDAsOK      Ext                   -   230
 DOCLLCD       Ext                   -    70
 DOCOL         Ext                   -    18    68    79    88   116   119   124
                                         129   134   143   168   184   193   205
 DOCSTR        Ext                   -   165   190   202
 DOIDNT        Ext                   -    24   170
 DOLAM         Ext                   -    31    35    39    43    47    51    55
                                          59    71    82    91    97   100   103
                                         109   136   145   173   195   207   219
 DOLIST        Ext                   -    30    96   163   164   180   189   201
 DOROMP        Ext                   -    74   181
 DROP          Ext                   -   152
 DUP#<7        Ext                   -   120
 DispMenu.1    Ext                   -   114
 ELEVEN        Ext                   -   122
 ERRJMP        Ext                   -   224
 EVAL          Ext                   -   112   139   148   176   198   210
 FALSE         Ext                   -    29
 FORTY         Ext                   -   150
 FORTYFIVE     Ext                   -   132
 NullMenuKey   Ext                   -   179   188
 ONE           Ext                   -   117
 ONEFALSE      Ext                   -   216
 ONEONE        Ext                   -    28
 ParOuterLoop  Ext                   -   226
 RECLAIMDISP   Ext                   -   229
 SEMI          Ext                   -    63    77    86    95   106   126   131
                                         140   149   154   157   177   178   186
                                         187   199   200   211   212   213   235
 SEVENTEEN     Ext                   -   127
 STO           Ext                   -    85    94
 TRUE          Ext                   -    80    89
 TWENTYFIVE    Ext                   -   141
 TakeOver      Ext                   -   125   130   135   144   169   185   194
                                         206
 TrueTrue      Ext                   -   160
 casedrpfls    Ext                   -   121
Saturn Assembler                                       Wed Jun 03 18:56:36 1998
Ver. 1.56, 12/20/89 Statistics                         FLAGVI~1.a     Page    7

Input Parameters

  Source file name is OUTPUT\FLAGVI~1.a

  Listing file name is OUTPUT\FLAGVI~1.l

  Object file name is OUTPUT\FLAGVI~1.o

  Flags set on command line
    None

Errors

  None
