Saturn Assembler                                       Mon May 18 08:41:58 1998
Ver. 1.56, 12/20/89                                    BENCH.a        Page    1

   1             * (  --> %speed (Hz) )
   2             * ASSEMBLE
   3 00000 84058         NIBASC  /HPHP48-E/
           40543
           83D254
   4             * RPL
   5             * CODE
   6 00010 00000         CON(5)  =DOCODE
   7 00015 98000         REL(5)  LBL000
   8 0001A 8F000         GOSBVL  =SAVPTR                                                 ( *Save the internal pointers* )
           00
   9 00021 84F           ST=0            15                                                                      ( *Turn off all interrupts* )
  10 00024 808F          INTOFF                      ( *Turn off keyboard interrupts* )
  11 00028 7E40          GOSUB       WAIT4NOKEY      ( *Go wait for user to release key* )
  12 0002C 8F000         GOSBVL      =DispOff        ( *Turn off display* )
           00
  13 00033 8F000   GOSBVL      =clkspd         ( *Measure clock speed* )
           00
  14 0003A 8F000   GOSBVL      =DispOn         ( *Turn on display* )
           00
  15 00041 8080    INTON                       ( *Turn on keyboard interrupts* )
  16 00045 85F     ST=1        15              ( *Turn on all interrupts* )
  17 00048 81AF0   R0=A.F      A               ( *Prepare to push R0* )
           0
  18 0004E 8F000   GOSBVL      =PUSH#          ( *Push R0[A] to stack, restore pointers *)
           00
  19 00055 7910    GOSUB       SRPL            ( *Put the following data on the return stack *)
  20 00059 00000   CON(5)      =DOCOL          ( *Prolog for a program* )
  21 0005E 00000   CON(5)      =UNCOERCE       ( *Convert BINT to FLOAT* )
  22 00063 00000   CON(5)      =%16
  23 00068 00000   CON(5)      =%*             ( *Multiply by 16* )
  24 0006D 00000   CON(5)      =SEMI           ( *End SRPL program* )
  25 00072       SRPL
  26 00072 07      C=RSTK                      ( *Pop address of data in C[A]* )
  27 00074 DA      A=C         A               ( *Copy to A[A]* )
  28 00076 808C    PC=(A)                      ( *Branch to program* )
  29 0007A       WAIT4NOKEY
  30 0007A 32FF1   LC(3)       #1FF            ( *Look for all keys* )
  31 0007F 801     OUT=C                       ( *Set the OUT register* )
  32 00082 8F000   GOSBVL      =CINRTN         ( *Read the IN register* )
           00
  33 00089 80824   LA(5)       #0803F          ( *Set mask* )
           F3080
  34 00093 0EF6    A=A&C       A               ( *Mask out keys* )
  35 00097 8AC     ?A#0        A               ( *Were keys down?* )
  36 0009A 0E      GOYES       WAIT4NOKEY      ( *Go try again* )
  37 0009C 01      RTN                         ( *Return* )
  38             * ENDCODE
  39 0009E       LBL000
Saturn Assembler                                       Mon May 18 08:41:58 1998
Ver. 1.56, 12/20/89 Symbol Table                       BENCH.a        Page    2

 %*            Ext                   -    23
 %16           Ext                   -    22
 CINRTN        Ext                   -    32
 DOCODE        Ext                   -     6
 DOCOL         Ext                   -    20
 DispOff       Ext                   -    12
 DispOn        Ext                   -    14
 LBL000        Rel     158 #0000009E -    39     7
 PUSH#         Ext                   -    18
 SAVPTR        Ext                   -     8
 SEMI          Ext                   -    24
 SRPL          Rel     114 #00000072 -    25    19
 UNCOERCE      Ext                   -    21
 WAIT4NOKEY    Rel     122 #0000007A -    29    11    36
 clkspd        Ext                   -    13
Saturn Assembler                                       Mon May 18 08:41:58 1998
Ver. 1.56, 12/20/89 Statistics                         BENCH.a        Page    3

Input Parameters

  Source file name is OUTPUT\BENCH.a

  Listing file name is OUTPUT\BENCH.l

  Object file name is OUTPUT\BENCH.o

  Flags set on command line
    None

Errors

  None
