// HPIDEDoc.cpp : implementation of the CHPIDEDoc class
//

#include "stdafx.h"
#include "HPIDE.h"

#include "HPIDEDoc.h"
#include "SourceEditView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CHPIDEDoc

IMPLEMENT_DYNCREATE(CHPIDEDoc, CDocument)

BEGIN_MESSAGE_MAP(CHPIDEDoc, CDocument)
	//{{AFX_MSG_MAP(CHPIDEDoc)
	ON_UPDATE_COMMAND_UI(ID_BUILD_COMPILE, OnUpdateBuildCompile)
	ON_UPDATE_COMMAND_UI(ID_BUILD_RUN, OnUpdateBuildRun)
	ON_UPDATE_COMMAND_UI(ID_BUILD_TRANSFER, OnUpdateBuildTransfer)
	ON_COMMAND(ID_VIEW_OPTIONS, OnViewOptions)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CHPIDEDoc construction/destruction

CHPIDEDoc::CHPIDEDoc()
{
	// TODO: add one-time construction code here

}

CHPIDEDoc::~CHPIDEDoc()
{
}

BOOL CHPIDEDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// CHPIDEDoc serialization

void CHPIDEDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		POSITION pos = GetFirstViewPosition();
		CSourceEditView* pView = (CSourceEditView*)GetNextView(pos);
		pView->SerializeRaw(ar);
	}
	else
	{
		POSITION pos = GetFirstViewPosition();
		CSourceEditView* pView = (CSourceEditView*)GetNextView(pos);
		pView->SerializeRaw(ar);
	}
}

/////////////////////////////////////////////////////////////////////////////
// CHPIDEDoc diagnostics

#ifdef _DEBUG
void CHPIDEDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CHPIDEDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CHPIDEDoc commands

void CHPIDEDoc::OnUpdateBuildCompile(CCmdUI* pCmdUI)
{
	pCmdUI->SetText(CString("Compile ") + GetTitle() + ".s to " + GetTitle() + ".gx");
	pCmdUI->Enable(TRUE);
}

void CHPIDEDoc::OnUpdateBuildRun(CCmdUI* pCmdUI)
{
	pCmdUI->SetText(CString("Run ") + GetTitle() + ".gx on HP48");
	pCmdUI->Enable(TRUE);
}

void CHPIDEDoc::OnUpdateBuildTransfer(CCmdUI* pCmdUI)
{
	pCmdUI->SetText(CString("Transfer ") + GetTitle() + ".gx to HP48");
	pCmdUI->Enable(TRUE);
}

void CHPIDEDoc::OnViewOptions() 
{
	
}
