// ConfigurationListDialog.cpp : implementation file
//

#include "stdafx.h"
#include "hpide.h"
#include "ProjectDocument.h"
#include "ConfigurationListDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConfigurationListDialog dialog


CConfigurationListDialog::CConfigurationListDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CConfigurationListDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConfigurationListDialog)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CConfigurationListDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConfigurationListDialog)
	DDX_Control(pDX, IDC_CONFIGLIST, m_ConfigurationList);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConfigurationListDialog, CDialog)
	//{{AFX_MSG_MAP(CConfigurationListDialog)
	ON_BN_CLICKED(IDOK, OnOk)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConfigurationListDialog message handlers

BOOL CConfigurationListDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	CProjectDocument * pProject = GetMainWnd()->m_pCurrentProject;

	CString ConfigString = " " + m_ConfigString + " ";
	for (int i = 0; i < pProject->m_ProjectConfigList.GetSize(); i++)
	{
		CString Config = pProject->m_ProjectConfigList[i].ConfigName;
		int nItem = m_ConfigurationList.AddString(Config);
		if (ConfigString.Find(" " + Config + " ") != -1)
			m_ConfigurationList.SetSel(nItem);
	}
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CConfigurationListDialog::OnOk() 
{
	m_ConfigString.Empty();
	for (int i = 0; i < m_ConfigurationList.GetCount(); i++)
	{
		if (m_ConfigurationList.GetSel(i))
		{
			CString Config;
			m_ConfigurationList.GetText(i, Config);
			m_ConfigString += Config + " ";
		}
	}
	
	m_ConfigString.TrimRight();	
	CDialog::OnOK();	
}
