// SourceDocument.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSourceDocument document

class CSourceDocument : public CDocument
{
protected:
	void InsertTemplate(CString TemplatePath);
	CSourceDocument();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CSourceDocument)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSourceDocument)
	public:
	virtual void Serialize(CArchive& ar);   // overridden for document i/o
	virtual BOOL OnOpenDocument(LPCTSTR lpszPathName);
	protected:
	virtual BOOL OnNewDocument();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSourceDocument();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CSourceDocument)
	afx_msg void OnUpdateBuildCompile(CCmdUI* pCmdUI);
	afx_msg void OnUpdateBuildRun(CCmdUI* pCmdUI);
	afx_msg void OnUpdateBuildTransfer(CCmdUI* pCmdUI);
	afx_msg void OnProjectAddcurrentfile();
	afx_msg void OnBuildCompile();
	afx_msg void OnUpdateProjectAddcurrentfile(CCmdUI* pCmdUI);
	afx_msg void OnUpdateProjectTogglecompile(CCmdUI* pCmdUI);
	afx_msg void OnProjectTogglecompile();
	afx_msg void OnUpdateProjectTogglefilevisibility(CCmdUI* pCmdUI);
	afx_msg void OnProjectTogglefilevisibility();
	afx_msg void OnBuildTransfer();
	afx_msg void OnBuildSimulate();
	afx_msg void OnUpdateBuildSimulate(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditTemplatesTemplate1(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditTemplatesTemplate2(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditTemplatesTemplate3(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditTemplatesTemplate4(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditTemplatesTemplate5(CCmdUI* pCmdUI);
	afx_msg void OnEditTemplatesTemplate1();
	afx_msg void OnEditTemplatesTemplate2();
	afx_msg void OnEditTemplatesTemplate3();
	afx_msg void OnEditTemplatesTemplate4();
	afx_msg void OnEditTemplatesTemplate5();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
