// SplashScreenDialog.cpp : implementation file
//

#include "stdafx.h"
#include "HPIDE.h"
#include "SplashScreenDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSplashScreenDialog dialog


CSplashScreenDialog::CSplashScreenDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CSplashScreenDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSplashScreenDialog)
	m_RegInformation = _T("");
	//}}AFX_DATA_INIT
}


void CSplashScreenDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSplashScreenDialog)
	DDX_Text(pDX, IDC_SPLASH_REGBOX, m_RegInformation);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSplashScreenDialog, CDialog)
	//{{AFX_MSG_MAP(CSplashScreenDialog)
	ON_WM_TIMER()
	ON_WM_LBUTTONDOWN()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSplashScreenDialog message handlers

void CSplashScreenDialog::OnTimer(UINT nIDEvent) 
{
	// TODO: Add your message handler code here and/or call default
	
	CDialog::OnTimer(nIDEvent);
	GoAway();
}

BOOL CSplashScreenDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	int nScrWidth = GetSystemMetrics(SM_CXFULLSCREEN);
	int nScrHeight = GetSystemMetrics(SM_CYFULLSCREEN);

	CRect r;
	GetClientRect(&r);
	int nWidth = r.Width();
	int nHeight = r.Height();
	r.OffsetRect((nScrWidth - nWidth) / 2, (nScrHeight - nHeight) / 2);
	MoveWindow(r, TRUE);
	SetTimer(0, 3000, NULL);
	UpdateData(FALSE);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

BOOL CSplashScreenDialog::Create(CWnd* pParentWnd) 
{
	// TODO: Add your specialized code here and/or call the base class
	m_pParent = pParentWnd;
//	if (m_pParent)
//		m_pParent->EnableWindow(FALSE);
	return CDialog::Create(IDD, pParentWnd);
}

void CSplashScreenDialog::OnLButtonDown(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default

	CDialog::OnLButtonDown(nFlags, point);
	GoAway();
}

void CSplashScreenDialog::GoAway()
{
	SendMessage(WM_CLOSE, 0, 0);
//	if (m_pParent)
//		m_pParent->EnableWindow(TRUE);
}
