// BuildMessageDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CBuildMessageDialog dialog

#pragma once

/////////////////////////////////////////////////////////////////////////////
// CBuildMessageListBox window

class CBuildMessageDialog;

class CBuildMessageListBox : public CListBox
{
// Construction
public:
	void JumpToLine();
	CBuildMessageListBox();

// Attributes
public:
	CBuildMessageDialog* m_pParent;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBuildMessageListBox)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CBuildMessageListBox();

	// Generated message map functions
public:
	//{{AFX_MSG(CBuildMessageListBox)
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMessageClearmessages();
	afx_msg void OnMessageGotosource();
	afx_msg void OnMessageJumptoend();
	afx_msg void OnMessageJumptostart();
	afx_msg void OnMessageCopytoclipboard();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};


class CBuildMessageDialog : public CMRCSizeControlBar
{
// Construction
public:
	void AddMessage(CString Message);
	void ClearMessages();
	void Hide();
	void Show();
	void Shrink();
	BOOL m_bVisible;
	CBuildMessageDialog(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CBuildMessageDialog)
	enum { IDD = IDD_MESSAGEBAR };
	//}}AFX_DATA
	CBuildMessageListBox	m_MessageList;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBuildMessageDialog)
	public:
	virtual BOOL Create(CWnd * pParentWnd);
	protected:
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	void OnSizedOrDocked(int cx, int cy, BOOL bFloating, int flags);

	// Generated message map functions
	//{{AFX_MSG(CBuildMessageDialog)
	afx_msg void OnDestroy();
	afx_msg void OnClose();
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////
