// EditFilePropertiesDialog.cpp : implementation file
//

#include "stdafx.h"
#include "HPIDE.h"
#include "ConfigurationListDialog.h"
#include "EditFilePropertiesDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEditFilePropertiesDialog dialog


CEditFilePropertiesDialog::CEditFilePropertiesDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CEditFilePropertiesDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEditFilePropertiesDialog)
	m_RelativePath = _T("");
	m_CompiledName = _T("");
	m_bVisible = FALSE;
	m_bCompile = FALSE;
	m_nInclude = -1;
	m_ConfigList = _T("");
	//}}AFX_DATA_INIT
}


void CEditFilePropertiesDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEditFilePropertiesDialog)
	DDX_Text(pDX, IDC_FILERELATIVEPATH, m_RelativePath);
	DDX_Text(pDX, IDC_FILECOMPILEDNAME, m_CompiledName);
	DDX_Check(pDX, IDC_FILEVISIBLE, m_bVisible);
	DDX_Check(pDX, IDC_FILECOMPILE, m_bCompile);
	DDX_CBIndex(pDX, IDC_FILEINCLUDEEXCLUDE, m_nInclude);
	DDX_Text(pDX, IDC_FILECONFIGURATIONS, m_ConfigList);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CEditFilePropertiesDialog, CDialog)
	//{{AFX_MSG_MAP(CEditFilePropertiesDialog)
	ON_BN_CLICKED(IDC_FILEBROWSECONFIG, OnFilebrowseconfig)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEditFilePropertiesDialog message handlers

void CEditFilePropertiesDialog::OnFilebrowseconfig() 
{
	UpdateData(TRUE);
	CConfigurationListDialog dlg;
	dlg.m_ConfigString = m_ConfigList;
	if (dlg.DoModal() == IDOK)
	{
		m_ConfigList = dlg.m_ConfigString;
		UpdateData(FALSE);
	}
}
