// EditTemplateDialog.cpp : implementation file
//

#include "stdafx.h"
#include "hpide.h"
#include "EditTemplateDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEditTemplateDialog dialog


CEditTemplateDialog::CEditTemplateDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CEditTemplateDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEditTemplateDialog)
	m_TemplateName1 = _T("");
	m_TemplateName2 = _T("");
	m_TemplateName3 = _T("");
	m_TemplateName4 = _T("");
	m_TemplateName5 = _T("");
	m_TemplatePath1 = _T("");
	m_TemplatePath2 = _T("");
	m_TemplatePath3 = _T("");
	m_TemplatePath4 = _T("");
	m_TemplatePath5 = _T("");
	//}}AFX_DATA_INIT
}


void CEditTemplateDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEditTemplateDialog)
	DDX_Text(pDX, IDC_TEMPLATE_NAME1, m_TemplateName1);
	DDX_Text(pDX, IDC_TEMPLATE_NAME2, m_TemplateName2);
	DDX_Text(pDX, IDC_TEMPLATE_NAME3, m_TemplateName3);
	DDX_Text(pDX, IDC_TEMPLATE_NAME4, m_TemplateName4);
	DDX_Text(pDX, IDC_TEMPLATE_NAME5, m_TemplateName5);
	DDX_Text(pDX, IDC_TEMPLATE_PATH1, m_TemplatePath1);
	DDX_Text(pDX, IDC_TEMPLATE_PATH2, m_TemplatePath2);
	DDX_Text(pDX, IDC_TEMPLATE_PATH3, m_TemplatePath3);
	DDX_Text(pDX, IDC_TEMPLATE_PATH4, m_TemplatePath4);
	DDX_Text(pDX, IDC_TEMPLATE_PATH5, m_TemplatePath5);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CEditTemplateDialog, CDialog)
	//{{AFX_MSG_MAP(CEditTemplateDialog)
	ON_BN_CLICKED(IDOK, OnOk)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


BOOL CEditTemplateDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_TemplateName1 = GetMainWnd()->GetSettingString("TemplateName1");
	m_TemplateName2 = GetMainWnd()->GetSettingString("TemplateName2");
	m_TemplateName3 = GetMainWnd()->GetSettingString("TemplateName3");
	m_TemplateName4 = GetMainWnd()->GetSettingString("TemplateName4");
	m_TemplateName5 = GetMainWnd()->GetSettingString("TemplateName5");
	
	m_TemplatePath1 = GetMainWnd()->GetSettingString("TemplatePath1");
	m_TemplatePath2 = GetMainWnd()->GetSettingString("TemplatePath2");
	m_TemplatePath3 = GetMainWnd()->GetSettingString("TemplatePath3");
	m_TemplatePath4 = GetMainWnd()->GetSettingString("TemplatePath4");
	m_TemplatePath5 = GetMainWnd()->GetSettingString("TemplatePath5");

	UpdateData(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CEditTemplateDialog::OnOk() 
{
	UpdateData(TRUE);

	GetMainWnd()->ChangeSetting("TemplateName1", m_TemplateName1);
	GetMainWnd()->ChangeSetting("TemplateName2", m_TemplateName2);
	GetMainWnd()->ChangeSetting("TemplateName3", m_TemplateName3);
	GetMainWnd()->ChangeSetting("TemplateName4", m_TemplateName4);
	GetMainWnd()->ChangeSetting("TemplateName5", m_TemplateName5);
	
	GetMainWnd()->ChangeSetting("TemplatePath1", m_TemplatePath1);
	GetMainWnd()->ChangeSetting("TemplatePath2", m_TemplatePath2);
	GetMainWnd()->ChangeSetting("TemplatePath3", m_TemplatePath3);
	GetMainWnd()->ChangeSetting("TemplatePath4", m_TemplatePath4);
	GetMainWnd()->ChangeSetting("TemplatePath5", m_TemplatePath5);

	CDialog::OnOK();
}
