// ProjectSettingsDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CProjectSettingsDialog dialog

class CProjectSettingsDialog : public CDialog
{
// Construction
public:
	BOOL bReady;
	CList <PROJECT_CONFIG_INFO*, PROJECT_CONFIG_INFO*> m_ProjectConfigList;
	int m_nCurrentConfig;
	void UpdateConfigInfo();
	void UpdateCompiledName(BOOL bUpdateBoxes = TRUE);
	CProjectDocument* m_pProject;
	CProjectSettingsDialog(CWnd* pParent = NULL);   // standard constructor
	virtual ~CProjectSettingsDialog();
// Dialog Data
	//{{AFX_DATA(CProjectSettingsDialog)
	enum { IDD = IDD_PROJECTSETTINGS };
	CListCtrl	m_ConfigList;
	CString	m_ProjectType;
	CString	m_Filename;
	CString	m_Directory;
	CString	m_CompiledName;
	int		m_nProjectType;
	UINT	m_nROMID;
	CString	m_LibraryTitle;
	//}}AFX_DATA
	CString m_OriginalConfig;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CProjectSettingsDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CProjectSettingsDialog)
	virtual BOOL OnInitDialog();
	afx_msg void OnOk();
	afx_msg void OnItemchangedSettingsConfigurationlist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDblclkSettingsConfigurationlist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnEndlabeleditSettingsConfigurationlist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnBeginlabeleditSettingsConfigurationlist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSettingsDirectory();
	afx_msg void OnSettingsLibrary();
	afx_msg void OnSettingsIndividualfiles();
	afx_msg void OnChangeSettingsProjectfilename();
	afx_msg void OnSelchangeSettingsProjecttype();
	afx_msg void OnSettingsAddconfig();
	afx_msg void OnClose();
	virtual void OnCancel();
	afx_msg void OnKeydownSettingsConfigurationlist(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
